Identity, people & notifications
Whoami Authorised
Returns the caller user, every org role with org feature flags, KYC details and Persona enablement.
GEThttps://api.toku.com/platform/whoami-authorised
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/platform/whoami-authorised' \
--header 'Authorization: Bearer <token>'200 response
{
"hrAutomationOnly": true,
"kycDetails": {
"roleInOrgID": "string",
"kycID": "string",
"kycLink": "string",
"kycStatus": "VERIFIED",
"message": "string"
},
"isPersonaEnabled": true,
"roles": [
{
"roleInOrgID": "string",
"invitedByRecipientID": "string",
"role": "TOKU_ADMIN",
"orgID": "string",
"isTerminated": true,
"lifecycleStatus": "INVITED",
"org": {
"orgID": "string",
"orgName": "string",
"tokenName": "string",
"orgArchitectureVersion": "LEGACY_TGA_FIRST",
"isStableCoinPayrollEnabled": true,
"isClientAdminHrisSyncedOrg": true,
"finishedStablecoinPayrollOnboarding": true,
"enablePaxos": true,
"enableYo": true,
"yoEverEnabled": true,
"enableMorpho": true,
"enableMultiCurrencyInvoices": true,
"isHRISEnabled": true,
"hrisOrgID": "string",
"isOktaEnabled": true
},
"invitedByInvestorID": "string",
"invitedByInvestorName": "string",
"isOrgMarketMaker": true,
"investorEntities": [
{
"investorEntityID": "string",
"entityName": "string"
}
],
"onboarded": true
}
],
"user": {
"userID": "string",
"person": {
"personID": "string",
"givenName": "string",
"familyName": "string"
},
"loginEmail": "string",
"isMfaEnabled": true
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
hrAutomationOnlybooleankycDetailsobjectrequiredShow child attributes
roleInOrgIDstringrequiredkycIDstringrequiredkycLinkstringrequiredkycStatusstringrequiredAvailable options: VERIFIED, PENDING, COMPLETED, REJECTED
messagestringisPersonaEnabledbooleanrequiredrolesobject[]requiredShow child attributes
roleInOrgIDstring | nullrequiredinvitedByRecipientIDstring | nullrequiredrolestringrequiredAvailable options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT
orgIDstringrequiredisTerminatedbooleanlifecycleStatusstring | nullAvailable options: INVITED, ONBOARDING, ACTIVE, OFFBOARDING, TERMINATED, ARCHIVED, null
orgobjectrequiredShow child attributes
orgIDstringrequiredorgNamestringrequiredtokenNamestring | nullrequiredorgArchitectureVersionstring | nullAvailable options: LEGACY_TGA_FIRST, PEOPLE_MANAGEMENT_FIRST, null
isStableCoinPayrollEnabledboolean | nullisClientAdminHrisSyncedOrgboolean | nullfinishedStablecoinPayrollOnboardingboolean | nullenablePaxosboolean | nullenableYoboolean | nullyoEverEnabledboolean | nullenableMorphoboolean | nullenableMultiCurrencyInvoicesboolean | nullisHRISEnabledboolean | nullhrisOrgIDstring | nullisOktaEnabledboolean | nullinvitedByInvestorIDstring | nullrequiredinvitedByInvestorNamestring | nullrequiredisOrgMarketMakerbooleanrequiredinvestorEntitiesobject[]requiredShow child attributes
investorEntityIDstringrequiredentityNamestringrequiredonboardedbooleanrequireduserobject | nullrequiredShow child attributes
userIDstringrequiredpersonobjectrequiredShow child attributes
personIDstringrequiredgivenNamestringrequiredfamilyNamestringrequiredloginEmailstringrequiredisMfaEnabledbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits